commit:     a285cdf29fb8948bb736b3b8d2c6e83ef382ce7d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  2 14:45:38 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr 14 23:11:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a285cdf2

sys-fs/zfs: use consistent 9999 test throughout, unify style

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-fs/zfs/zfs-9999.ebuild | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/sys-fs/zfs/zfs-9999.ebuild b/sys-fs/zfs/zfs-9999.ebuild
index ecae293cb14..fbce8715910 100644
--- a/sys-fs/zfs/zfs-9999.ebuild
+++ b/sys-fs/zfs/zfs-9999.ebuild
@@ -11,7 +11,7 @@ inherit autotools bash-completion-r1 distutils-r1 
flag-o-matic linux-info pam sy
 DESCRIPTION="Userland utilities for ZFS Linux kernel module"
 HOMEPAGE="https://github.com/openzfs/zfs";
 
-if [[ ${PV} == "9999" ]] ; then
+if [[ ${PV} == "9999" ]]; then
        inherit git-r3 linux-mod
        EGIT_REPO_URI="https://github.com/openzfs/zfs.git";
 else
@@ -19,7 +19,7 @@ else
        
SRC_URI="https://github.com/openzfs/${PN}/releases/download/${MY_P}/${MY_P}.tar.gz";
        S="${WORKDIR}/${P%_rc?}"
 
-       if [[ ${PV} != *_rc* ]] ; then
+       if [[ ${PV} != *_rc* ]]; then
                KEYWORDS="~amd64 ~arm64 ~ppc64"
        fi
 fi
@@ -86,7 +86,7 @@ pkg_setup() {
        if use kernel_linux && use test-suite; then
                linux-info_pkg_setup
 
-               if  ! linux_config_exists; then
+               if ! linux_config_exists; then
                        ewarn "Cannot check the linux kernel configuration."
                else
                        if use test-suite; then
@@ -176,7 +176,7 @@ src_install() {
        use test-suite || { rm -r "${ED}/usr/share/zfs" || die ; }
 
        if ! use static-libs; then
-               find "${ED}/" -name '*.la' -delete || die
+               find "${ED}" -name '*.la' -delete || die
        fi
 
        dobashcomp contrib/bash_completion.d/zfs
@@ -198,14 +198,14 @@ src_install() {
 pkg_postinst() {
        if use rootfs; then
                if ! has_version sys-kernel/genkernel && ! has_version 
sys-kernel/dracut; then
-                       elog "root on zfs requires initramfs to boot"
-                       elog "the following packages known to provide one and 
tested on regular basis:"
+                       elog "Root on zfs requires an initramfs to boot"
+                       elog "The following packages provide one and are tested 
on a regular basis:"
                        elog "  sys-kernel/dracut"
                        elog "  sys-kernel/genkernel"
                fi
        fi
 
-       if ! use kernel-builtin && [[ ${PV} = "9999" ]]; then
+       if ! use kernel-builtin && [[ ${PV} == "9999" ]]; then
                einfo "Adding ${P} to the module database to ensure that the"
                einfo "kernel modules and userland utilities stay in sync."
                update_moduledb

Reply via email to